Namespace
library
Image / Tag
swift:5.6.2-amazonlinux2
Content Digest
sha256:0bacf290755dd89cbb9570a4c3514db0c7161129cd01c44e57564d2aa1bfbabf
Details
Created

2022-08-26 01:38:25 UTC

Size

830 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.6.2-release

SWIFT_PLATFORM

amazonlinux2

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.6.2-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:fd06b60db4951fd95b43a9e73fb084fe7d2afcd4ff464472ead5548cd1c28717 - 7.16% (59.4 MB)

[#001] sha256:fc4eae72d20c48e25196158a2b08366daf6ed732711141766fd337bc95f80241 - 32.55% (270 MB)

[#002] sha256:bbc4582085cd6ddcf353c815a09c025c10788ed160eda5bacab9b8f66b4b7f6f - 60.29% (501 MB)

[#003] sha256:ee56aba45302939dd314351865ce4cb1763b49b7cf6c603aff076a2bae932365 - 0.0% (231 Bytes)


History
2022-08-26 01:19:36 UTC

/bin/sh -c #(nop) ADD file:ebfd33425a17b16a9e560de15c91108bf2ee740f284a1482a7105b420ff22678 in /

2022-08-26 01:19:37 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2022-08-26 01:37:06 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2022-08-26 01:37:06 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2022-08-26 01:37:38 UTC

/bin/sh -c yum -y install binutils gcc git glibc-static gzip libbsd libcurl-devel libedit libicu libsqlite libstdc++-static libuuid libxml2-devel tar tzdata zlib-devel

2022-08-26 01:37:40 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2022-08-26 01:37:40 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=amazonlinux2

2022-08-26 01:37:40 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.6.2-release

2022-08-26 01:37:40 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.6.2-RELEASE

2022-08-26 01:37:40 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2022-08-26 01:37:40 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=amazonlinux2 SWIFT_BRANCH=swift-5.6.2-release SWIFT_VERSION=swift-5.6.2-RELEASE SWIFT_WEBROOT=https://download.swift.org

2022-08-26 01:38:19 UTC

/bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && echo $SWIFT_BIN_URL && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz

2022-08-26 01:38:25 UTC

/bin/sh -c swift --version

Details
Created

2022-08-26 00:58:08 UTC

Size

775 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.6.2-release

SWIFT_PLATFORM

amazonlinux2

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.6.2-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:12df598bc31e0ff3cadc2667d34dc645b837d712e7e15ce3e9080ae91744dcd0 - 7.87% (61 MB)

[#001] sha256:a44b3431074dbc3ae7ea91562813bfe7deacfdd5a88fa6e3e81436f71508a484 - 29.96% (232 MB)

[#002] sha256:ff723c697d25711222c9aa373a2068450cdde58d282d4c9e39acf4ea2cf04cde - 62.17% (482 MB)

[#003] sha256:b2f1b67b8f171421639f15b4ff810b2c753524af08b261bea4c041714f34d53e - 0.0% (200 Bytes)


History
2022-08-26 00:39:31 UTC

/bin/sh -c #(nop) ADD file:a0918d3dfd5c1b4e0594c53d0dfc4c97f1ebaf14085279c79f36f06cf7ed95ee in /

2022-08-26 00:39:32 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2022-08-26 00:56:55 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2022-08-26 00:56:56 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2022-08-26 00:57:19 UTC

/bin/sh -c yum -y install binutils gcc git glibc-static gzip libbsd libcurl-devel libedit libicu libsqlite libstdc++-static libuuid libxml2-devel tar tzdata zlib-devel

2022-08-26 00:57:20 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2022-08-26 00:57:21 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=amazonlinux2

2022-08-26 00:57:22 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.6.2-release

2022-08-26 00:57:22 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.6.2-RELEASE

2022-08-26 00:57:23 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2022-08-26 00:57:24 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=amazonlinux2 SWIFT_BRANCH=swift-5.6.2-release SWIFT_VERSION=swift-5.6.2-RELEASE SWIFT_WEBROOT=https://download.swift.org

2022-08-26 00:58:06 UTC

/bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && echo $SWIFT_BIN_URL && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz

2022-08-26 00:58:08 UTC

/bin/sh -c swift --version

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete